#include "testlib.h"

using namespace std;

const int MAX_N = 100'000;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int t = has_opt("t") ? opt<int>("t") : 1;
    int maxN = has_opt("maxN") ? opt<int>("maxN") : 100'000;
    int isRand = has_opt("rand") ? opt<int>("rand") : 0;
    maxN = min(MAX_N / t, maxN);

    println(t);
    while (t--) {
        int n = isRand ? rnd.next(1, maxN) : maxN;
        println(n);
        vector<int> v(n);

        v = rnd.distinct(n, 1, n);
        if (rnd.next(1, 2) == 1) {
            for (auto& i : v) {
                if (rnd.next(1, 2) == 1) {
                    i = n - i + 1;
                }
            }
        } else {
            for (auto& i : v) {
                if (rnd.next(1, 2) == 1) {
                    i = rnd.next(1, n);
                }
            }
        }

        println(v.begin(), v.end());
    }
}