/*
    @author: EgorUlin
    Egor Ulin, ITMO University
*/

#include <iostream>
#include <cstring>
#include <algorithm>
#include <vector>

using namespace std;

#define re return
#define ll long long
#define fori(n) for (int i = 0; i < n; ++i)
#define vec vector
#define all(x) x.begin(), x.end()

int main() {
    int t; cin >> t;
    while (t--) {
        int n;
        cin >> n;

        vec<int> cnt(n + 1);

        bool ok = true;
        fori(n) {
            int a;
            cin >> a;
            if (a > n || a < 1) {
                ok = false;
            } else {
                if (a > n / 2) {
                    a = n - a + 1;
                }
                cnt[a]++;
            }
        }

        if (*max_element(all(cnt)) > 2) ok = false;
        if (n % 2 == 1 && cnt[(n + 1) / 2] != 1) ok = false;

        cout << (ok ? "YES" : "NO") << "\n";
    }
}