//
// Created by danii on 25.10.2023.
//
#include "testlib.h"

using namespace std;

// . . n a mx
// a == 0 -> impossible
// a == 1 -> begin
// a == 2 -> end
int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int answer = opt<int>("a");
    int mx = opt<int>("mx");

    auto p = rnd.perm(n, 1);

    vector<int> times (n);
    set<int> was;
    for (int i = 0; i < n; i++) {
        times[i] = rnd.next(1, mx);
        while (was.find(times[i]) != was.end()) {
            times[i]++;
            if (times[i] == mx + 1) {
                times[i] = 1;
            }
        }
        was.insert(times[i]);
    }
    sort(times.begin(), times.end());
    vector<int> a (n);
    for (int i = 0; i < n; i++) {
        a[p[i] - 1] = times[i];
    }

    println(n);
    println(a);

    // Assuming n > 2
    int move_idx = rnd.next(0, n - 1);
    if (answer == 0) {
        // Impossible: random gen no swap or swap 2 neighbors
        if (rnd.next() < 0.5) {
            if (move_idx != n - 1) {
                swap(p[move_idx], p[move_idx + 1]);
            } else {
                swap(p[move_idx], p[move_idx - 1]);
            }
        }
    } else if (answer == 1) {
        move_idx = rnd.next(2, n - 1);
        int cnt = rnd.next(2, move_idx);
        int val = p[move_idx];
        for (int i = move_idx - 1; i >= move_idx - cnt; i--) {
            p[i + 1] = p[i];
        }
        p[move_idx - cnt] = val;
    } else {
        move_idx = rnd.next(0, n - 3);
        int cnt = rnd.next(2, n - move_idx - 1);
        int val = p[move_idx];
        for (int i = move_idx; i <= move_idx + cnt - 1; i++) {
            p[i] = p[i + 1];
        }
        p[move_idx + cnt] = val;
    }

    println(p);
    return 0;
}