#include "testlib.h"
#include "task_limits.h"

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int w = inf.readInt(1, W_MAX, "w");
    inf.readSpace();
    int h = inf.readInt(1, H_MAX, "h");
    inf.readEoln();
    for (int i = 0; i < h; i++) {
        auto s = inf.readToken("[.ox]+", "Line " + std::to_string(i + 1));
        ensuref(s.size() == w, "Line %d length is %lu which is not %d\n", i + 1, s.size(), w);
        inf.readEoln();
    }
    inf.readInt(0, S1_MAX, "s1");
    inf.readSpace();
    inf.readInt(0, S2_MAX, "s2");
    inf.readSpace();
    inf.readInt(0, S3_MAX, "s3");
    inf.readEoln();
    inf.readEof();
    return 0;
}
