#include <functional>
#include <algorithm>
#include "testlib.h"

using namespace std;

const int max_n = 200'000;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int n = inf.readInt(1, max_n, "n");
    inf.readEoln();

    vector<int> a = inf.readInts(n, 1, n, "a_i");
    inf.readEoln();

    ensuref(set<int>(a.begin(), a.end()).size() == n, "a should be permutation");
    inf.readEof();
}