#include "testlib.h"

using namespace std;

const int MAX_N = 100'000;

int nowN = 0;
bool isEnd = false;

vector<int> st;

void rec(int n, int rep, int pos, vector<vector<int>>& v) {
    if (n == 0) {
        if (nowN + st.size() > MAX_N) {
            isEnd = true;
            return;
        }
        v.push_back(st);
        nowN += st.size();
        return;
    }

    if (rep == 3 && pos != 1) {
        rec(n, 0, pos - 1, v);
    } else {
        st.push_back(pos);
        rec(n - 1, rep + 1, pos, v);
        if (isEnd) return;
        st.pop_back();

        if (pos != 1) {
            rec(n, 0, pos - 1, v);
        }
    }
}

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int startN = opt<int>("startN");
    vector<vector<int>> v;

    for (int i = startN; !isEnd; ++i) {
        rec(i, 0, i, v);
    }

    println(v.size());
    for (int i = 0; i < v.size(); ++i) {
        println(v[i].size());
        println(v[i].begin(), v[i].end());
    }
}