#include <bits/stdc++.h>

using namespace std;
using pii = pair<int, int>;

int main() {
    int n;

    cin >> n;

    vector<pii> a (n);
    vector<int> c (n);

    for (int i = 0; i < n; i++) {
        int x;
        cin >> x;
        a[i] = {x, i + 1};
    }
    for (int i = 0; i < n; i++) {
        cin >> c[i];
    }

    sort(a.begin(), a.end(), [](pii a, pii b){
        return a.first < b.first;
    });

    int start_shuffle = -1, finish_shuffle = n;
    for (int i = 0; i < n; i++) {
        if (a[i].second != c[i] && start_shuffle == -1) {
            start_shuffle = i;
        }
        if (a[i].second == c[i] && start_shuffle != -1 && finish_shuffle == n) {
            finish_shuffle = i;
        }
    }

    if (start_shuffle == -1 || finish_shuffle - start_shuffle == 2) {
        cout << "impossible\n";
    } else if (a[start_shuffle].second == c[finish_shuffle - 1]) {
        cout << "end\n";
    } else {
        cout << "begin\n";
    }
    return 0;
}