#include "testlib.h"
#include <set>

using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int n = inf.readInt(1, 200'000, "n");
    inf.readSpace();
    int m = inf.readInt(1, 200'000, "m");
    inf.readEoln();
    set<string> st;

    for (int i = 0; i < n; ++i) {
        string word = inf.readString("[a-z]{1,10}", "word");
        st.insert(word);
    }

    ensuref(st.size() == n, "not all string different");

    for (int i = 0; i < m; ++i) {
        string a, b, ab;
        ab = inf.readString();

        ensuref(find(ab.begin(), ab.end(), ' ') != ab.end(), "Incorrect string");

        a = ab.substr(0, find(ab.begin(), ab.end(), ' ') - ab.begin());
        b = ab.substr(find(ab.begin(), ab.end(), ' ') - ab.begin() + 1, ab.size());

        ensuref(st.find(a) != st.end(), "not string a in set");
        ensuref(st.find(b) != st.end(), "not string b in set");
    }

    inf.readEof();
}