#include "testlib.h"
#include <bits/stdc++.h>

#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template<typename T>
using ordered_set = tree<
        T, null_type, less<T>,
        rb_tree_tag, tree_order_statistics_node_update
>;

long long check(vector<int> p, InStream &in) {
    int time = in.readInt(0, p.size() - 1, "time");
    rotate(p.begin(), p.begin() + time, p.end());

    ordered_set<int> cnt;
    long long inv = 0;
    for (int i : p) {
        inv += cnt.size() - cnt.order_of_key(i);
        cnt.insert(i);
    }
    return inv;
}

int main(int argc, char *argv[]) {

    registerTestlibCmd(argc, argv);

    int n = inf.readInt();
    auto p = inf.readInts(n);

    long long ja = check(p, ans), pa = check(p, ouf);
    if (ja < pa) quitf(_wa, "jury has better answer");
    if (ja > pa) quitf(_fail, "participant has better answer");

    quitf(_ok, "all checks passed");

}