/*
    @author: doreshnikov
    Daniil Oreshnikov, ITMO University
*/

#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef unsigned int uint;
typedef pair<int, int> pii;

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item : v)
        in >> item;
    return in;
}

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

#define all(c) c.begin(), c.end()

ll inv(vector<int> const &p, int st) {
    ll ans = 0;
    for (int i = 0; i < p.size(); i++) {
        for (int j = i + 1; j < p.size(); j++) {
            int i1 = (i + st) % p.size(), j1 = (j + st) % p.size();
            if (p[i1] > p[j1]) ans++;
        }
    }
    return ans;
}

int main() {

    in(int, n)
    vector<int> p(n);
    cin >> p;

    ll mv = LLONG_MAX;
    int ans = 0;
    for (int i = 0; i < n; i++) {
        ll cur = inv(p, i);
        if (cur < mv) {
            mv = cur;
            ans = i;
        }
    }
    cout << ans << '\n';

}