using namespace std;

#include <iostream>
#include <iomanip>
#include <vector>
#include <queue>
#include <unordered_set>
#include <algorithm>
#include <functional>
#include <cassert>

using ll = long long;

const ll MAX = LLONG_MAX;

int find(const vector<int> &a, int c) {
    for (int i = 0; i < a.size(); ++i) {
        if (a[i] == c) {
            return i;
        }
    }
    assert(false);
}

int main() {
    int n;

    cin >> n;

    vector<int> a(n);
//    vector<int> ain(n + 1);

    for (int i = n - 1; i >= 0; --i) {
        cin >> a[i];
//        ain[a[i]] = i;
    }

    int cur_d = 0;
    ll ans = 0;

    for (int c = 1; c <= n; ++c) {
        int it = find(a, c); // c between element p1 and element p1 + 1
        int p1 = it;
        int p2 = it + 1;
        if (cur_d <= p1) {
            ans += p1 - cur_d + 1;
            cur_d = p1;
        } else {
            ans += cur_d - p2 + 1;
            cur_d = p2;
        }
        a.erase(a.begin() + it);

        // x y ^ c ^ z w
        if (cur_d > it) {
            --cur_d;
        }
    }

    cout << ans << "\n";
}