#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int n;
vector<long long> p;
vector<pair<int, int>> pts;

int const XM = 1000'000;

long long check(InStream &in) {
    long long res = 0;
    int x = in.readInt(-XM, XM, "x"), y = in.readInt(-XM, XM, "y");
    for (int i = 0; i < n; i++) {
        res += p[i] * max(abs(x - pts[i].first), abs(y - pts[i].second));
    }
    return res;
}

int main(int argc, char *argv[]) {

    registerTestlibCmd(argc, argv);

    n = inf.readInt();
    p = inf.readLongs(n);
    for (int i = 0; i < n; i++) {
        int x = inf.readInt(), y = inf.readInt();
        pts.emplace_back(2 * x, 2 * y);
    }

    long long ja = check(ans), pa = check(ouf);
    if (ja < pa) quitf(_wa, "jury has better answer");
    if (ja > pa) quitf(_fail, "participant has better answer");

    quitf(_ok, "all checks passed");

}