#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), wp = opt<int>("wp");
    int pm = has_opt("pm") ? opt<int>("pm") : 1000'000;
    int xm = has_opt("xm") ? opt<int>("xm") : 1000'000;

    println(n);
    vector<int> p(n);
    for (int &pi : p) pi = rnd.wnext(1, pm, wp);
    println(p.begin(), p.end());

    for (int i = 0; i < n; i++) {
        println(rnd.next(-xm, xm), rnd.next(-xm, xm));
    }

}